Subject: Re: bug#25080: When removing a user, 'guix system reconfigure' does not remove the user's home directory

From: Chris Marusich <[email-masked]>
Date: Thu, 01 Dec 2016 03:40:23 -0800

Mark H Weaver <[email-masked]> writes:

> Hi,
>
> Chris Marusich <[email-masked]> writes:
>> If you add a user to your operating system configuration file,
>> reconfigure, remove the user, and reconfigure again, then the user's
>> home directory will remain.  I expected it to be deleted when I
>> reconfigured the second time.
>>
>> Is this expected behavior?
>
> I think (hope?) so.  If I accidentally made a mistake in my system
> configuration and it resulted in the deletion of my home directory, I
> would be *very* angry and probably never trust GuixSD again.

Yeah, I think you're right.  Not deleting the directory automatically is
the safe thing to do.  Thanks for confirming the behavior is expected.
This bug report can be closed now.

-- 
Chris